Comment 2 for bug 1668547

Joseph Phillips (manadart) wrote :

I uninstalled my LXD snap and reinstalled the deb from xenial, then bootstrapped.

Then I uninstalled LXD and reinstalled from xenial-backports. I got 2.21.

> apt list lxd -a
Listing... Done
lxd/xenial-backports,now 2.21-0ubuntu3~16.04.2 amd64 [installed]
lxd/xenial-updates 2.0.11-0ubuntu1~16.04.4 amd64
lxd/xenial-security 2.0.2-0ubuntu1~16.04.1 amd64
lxd/xenial 2.0.0-0ubuntu4 amd64

The only issue I had was that /var/lib/lxd had ownership of root:root, so I had to set the group back to "lxd" to connect via the socket.

After this, my existing deployment was OK, as was a new bootstrap.